

#include "types.h"

#define SCREENWIDTH   320
#define SCREENHEIGHT  200

#define PALETTE_COUNTER     0x03C6
#define PALETTE_INDEX       0x03C8
#define PALETTE_DATA        0x03C9
#define INPUT_STATUS        0x03DA
#define VRETRACE            0x08

//----------------------------------------------------------------------------

#ifdef __cplusplus
extern "C" {
#endif

pfbyte extern pVideoMemory;

//#define PutPixel(x, y, color) *(pVideoMemory + (unsigned long)(y) * 320 + (unsigned long)(x)) = (color);

#ifndef PutPixel
void PutPixel(unsigned x, unsigned y, byte color);
#endif

bool InitMode13(void);
void RestoreOldVideoMode(void);
void ClearScreen(byte color);
void WaitForRetrace(void);
void SwapBuffer(void);
void SetPalette(TPalette *pal);
void BlackOut(void);
void FadeIn(TPalette *pal);
void FadeOut(TPalette *pal);

#ifdef __cplusplus
}
#endif

//----------------------------------------------------------------------------
